// pages/mine/wxml/myredpacket/myredpacket.js
const app = getApp();
var utils = require('../../../../utils/util.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    contIndex: 1,
    remaining: 0,
    getRecord: [],//领取记录
    usageRecord: [], //使用记录
    paySum: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let _this = this;
    _this.getData(1)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
  //切换标签
  cuttab: function (e) {
    var _this = this;
    if (e.currentTarget.id === 'tab1') {
      _this.setData({
        contIndex: 1
      })
    } else if (e.currentTarget.id === 'tab2') {
      _this.setData({
        contIndex: 2
      })
    }
  },
  //获取数据
  getData: function (p) {
    let _this = this;
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/pm/list_redpack',
      data: '',
      header: { 'ydw-token': wx.getStorageSync('key').ydw_token},
      method: 'GET',
      dataType: 'json',
      responseType: 'text',
      success: function(data) {
//        console.log(data);
        _this.setData({
          getRecord: data.data.list,
          remaining: data.data.balance,
          usageRecord: data.data.list_record
        })
      },
      fail: function(res) {},
      complete: function(res) {},
    });
  }
})